diff --git a/llvm/test/MC/X86/x86-64-avx512f_vl.s b/llvm/test/MC/X86/x86-64-avx512f_vl.s
index 4899086cd41..d41f15ad83d 100644
--- a/llvm/test/MC/X86/x86-64-avx512f_vl.s
+++ b/llvm/test/MC/X86/x86-64-avx512f_vl.s
@@ -21215,114 +22552,434 @@ vaddpd  {rz-sae}, %zmm2, %zmm1, %zmm1
 // CHECK:  encoding: [0x62,0x81,0xfc,0x08,0x78,0xfa]
           vcvttpd2udq %xmm26, %xmm23
 
+// CHECK: vcvttpd2udq %xmm26, %xmm23
+// CHECK:  encoding: [0x62,0x81,0xfc,0x08,0x78,0xfa]
+          vcvttpd2udqx %xmm26, %xmm23
+
 // CHECK: vcvttpd2udq %xmm26, %xmm23 {%k2}
 // CHECK:  encoding: [0x62,0x81,0xfc,0x0a,0x78,0xfa]
           vcvttpd2udq %xmm26, %xmm23 {%k2}
 
+// CHECK: vcvttpd2udq %xmm26, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0x81,0xfc,0x0a,0x78,0xfa]
+          vcvttpd2udqx %xmm26, %xmm23 {%k2}
+
 // CHECK: vcvttpd2udq %xmm26, %xmm23 {%k2} {z}
 // CHECK:  encoding: [0x62,0x81,0xfc,0x8a,0x78,0xfa]
           vcvttpd2udq %xmm26, %xmm23 {%k2} {z}
 
+// CHECK: vcvttpd2udq %xmm26, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0x81,0xfc,0x8a,0x78,0xfa]
+          vcvttpd2udqx %xmm26, %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udqx (%rcx), %xmm23
 // CHECK:  encoding: [0x62,0xe1,0xfc,0x08,0x78,0x39]
           vcvttpd2udqx (%rcx), %xmm23
 
+// CHECK: vcvttpd2udqx (%rcx), %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x0a,0x78,0x39]
+          vcvttpd2udqx (%rcx), %xmm23 {%k2}
+
+// CHECK: vcvttpd2udqx (%rcx), %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x8a,0x78,0x39]
+          vcvttpd2udqx (%rcx), %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udqx 291(%rax,%r14,8), %xmm23
 // CHECK:  encoding: [0x62,0xa1,0xfc,0x08,0x78,0xbc,0xf0,0x23,0x01,0x00,0x00]
           vcvttpd2udqx 291(%rax,%r14,8), %xmm23
 
+// CHECK: vcvttpd2udqx 291(%rax,%r14,8), %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xa1,0xfc,0x0a,0x78,0xbc,0xf0,0x23,0x01,0x00,0x00]
+          vcvttpd2udqx 291(%rax,%r14,8), %xmm23 {%k2}
+
+// CHECK: vcvttpd2udqx 291(%rax,%r14,8), %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xa1,0xfc,0x8a,0x78,0xbc,0xf0,0x23,0x01,0x00,0x00]
+          vcvttpd2udqx 291(%rax,%r14,8), %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udq (%rcx){1to2}, %xmm23
 // CHECK:  encoding: [0x62,0xe1,0xfc,0x18,0x78,0x39]
           vcvttpd2udq (%rcx){1to2}, %xmm23
 
+// CHECK: vcvttpd2udq (%rcx){1to2}, %xmm23
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x18,0x78,0x39]
+          vcvttpd2udqx (%rcx){1to2}, %xmm23
+
+// CHECK: vcvttpd2udq (%rcx){1to2}, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x1a,0x78,0x39]
+          vcvttpd2udq (%rcx){1to2}, %xmm23 {%k2}
+
+// CHECK: vcvttpd2udq (%rcx){1to2}, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x1a,0x78,0x39]
+          vcvttpd2udqx (%rcx){1to2}, %xmm23 {%k2}
+
+// CHECK: vcvttpd2udq (%rcx){1to2}, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x9a,0x78,0x39]
+          vcvttpd2udq (%rcx){1to2}, %xmm23 {%k2} {z}
+
+// CHECK: vcvttpd2udq (%rcx){1to2}, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x9a,0x78,0x39]
+          vcvttpd2udqx (%rcx){1to2}, %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udqx 2032(%rdx), %xmm23
 // CHECK:  encoding: [0x62,0xe1,0xfc,0x08,0x78,0x7a,0x7f]
           vcvttpd2udqx 2032(%rdx), %xmm23
 
+// CHECK: vcvttpd2udqx 2032(%rdx), %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x0a,0x78,0x7a,0x7f]
+          vcvttpd2udqx 2032(%rdx), %xmm23 {%k2}
+
+// CHECK: vcvttpd2udqx 2032(%rdx), %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x8a,0x78,0x7a,0x7f]
+          vcvttpd2udqx 2032(%rdx), %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udqx 2048(%rdx), %xmm23
 // CHECK:  encoding: [0x62,0xe1,0xfc,0x08,0x78,0xba,0x00,0x08,0x00,0x00]
           vcvttpd2udqx 2048(%rdx), %xmm23
 
+// CHECK: vcvttpd2udqx 2048(%rdx), %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x0a,0x78,0xba,0x00,0x08,0x00,0x00]
+          vcvttpd2udqx 2048(%rdx), %xmm23 {%k2}
+
+// CHECK: vcvttpd2udqx 2048(%rdx), %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x8a,0x78,0xba,0x00,0x08,0x00,0x00]
+          vcvttpd2udqx 2048(%rdx), %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udqx -2048(%rdx), %xmm23
 // CHECK:  encoding: [0x62,0xe1,0xfc,0x08,0x78,0x7a,0x80]
           vcvttpd2udqx -2048(%rdx), %xmm23
 
+// CHECK: vcvttpd2udqx -2048(%rdx), %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x0a,0x78,0x7a,0x80]
+          vcvttpd2udqx -2048(%rdx), %xmm23 {%k2}
+
+// CHECK: vcvttpd2udqx -2048(%rdx), %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x8a,0x78,0x7a,0x80]
+          vcvttpd2udqx -2048(%rdx), %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udqx -2064(%rdx), %xmm23
 // CHECK:  encoding: [0x62,0xe1,0xfc,0x08,0x78,0xba,0xf0,0xf7,0xff,0xff]
           vcvttpd2udqx -2064(%rdx), %xmm23
 
+// CHECK: vcvttpd2udqx -2064(%rdx), %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x0a,0x78,0xba,0xf0,0xf7,0xff,0xff]
+          vcvttpd2udqx -2064(%rdx), %xmm23 {%k2}
+
+// CHECK: vcvttpd2udqx -2064(%rdx), %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x8a,0x78,0xba,0xf0,0xf7,0xff,0xff]
+          vcvttpd2udqx -2064(%rdx), %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udq 1016(%rdx){1to2}, %xmm23
 // CHECK:  encoding: [0x62,0xe1,0xfc,0x18,0x78,0x7a,0x7f]
           vcvttpd2udq 1016(%rdx){1to2}, %xmm23
 
+// CHECK: vcvttpd2udq 1016(%rdx){1to2}, %xmm23
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x18,0x78,0x7a,0x7f]
+          vcvttpd2udqx 1016(%rdx){1to2}, %xmm23
+
+// CHECK: vcvttpd2udq 1016(%rdx){1to2}, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x1a,0x78,0x7a,0x7f]
+          vcvttpd2udq 1016(%rdx){1to2}, %xmm23 {%k2}
+
+// CHECK: vcvttpd2udq 1016(%rdx){1to2}, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x1a,0x78,0x7a,0x7f]
+          vcvttpd2udqx 1016(%rdx){1to2}, %xmm23 {%k2}
+
+// CHECK: vcvttpd2udq 1016(%rdx){1to2}, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x9a,0x78,0x7a,0x7f]
+          vcvttpd2udq 1016(%rdx){1to2}, %xmm23 {%k2} {z}
+
+// CHECK: vcvttpd2udq 1016(%rdx){1to2}, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x9a,0x78,0x7a,0x7f]
+          vcvttpd2udqx 1016(%rdx){1to2}, %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udq 1024(%rdx){1to2}, %xmm23
 // CHECK:  encoding: [0x62,0xe1,0xfc,0x18,0x78,0xba,0x00,0x04,0x00,0x00]
           vcvttpd2udq 1024(%rdx){1to2}, %xmm23
 
+// CHECK: vcvttpd2udq 1024(%rdx){1to2}, %xmm23
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x18,0x78,0xba,0x00,0x04,0x00,0x00]
+          vcvttpd2udqx 1024(%rdx){1to2}, %xmm23
+
+// CHECK: vcvttpd2udq 1024(%rdx){1to2}, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x1a,0x78,0xba,0x00,0x04,0x00,0x00]
+          vcvttpd2udq 1024(%rdx){1to2}, %xmm23 {%k2}
+
+// CHECK: vcvttpd2udq 1024(%rdx){1to2}, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x1a,0x78,0xba,0x00,0x04,0x00,0x00]
+          vcvttpd2udqx 1024(%rdx){1to2}, %xmm23 {%k2}
+
+// CHECK: vcvttpd2udq 1024(%rdx){1to2}, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x9a,0x78,0xba,0x00,0x04,0x00,0x00]
+          vcvttpd2udq 1024(%rdx){1to2}, %xmm23 {%k2} {z}
+
+// CHECK: vcvttpd2udq 1024(%rdx){1to2}, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x9a,0x78,0xba,0x00,0x04,0x00,0x00]
+          vcvttpd2udqx 1024(%rdx){1to2}, %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udq -1024(%rdx){1to2}, %xmm23
 // CHECK:  encoding: [0x62,0xe1,0xfc,0x18,0x78,0x7a,0x80]
           vcvttpd2udq -1024(%rdx){1to2}, %xmm23
 
+// CHECK: vcvttpd2udq -1024(%rdx){1to2}, %xmm23
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x18,0x78,0x7a,0x80]
+          vcvttpd2udqx -1024(%rdx){1to2}, %xmm23
+
+// CHECK: vcvttpd2udq -1024(%rdx){1to2}, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x1a,0x78,0x7a,0x80]
+          vcvttpd2udq -1024(%rdx){1to2}, %xmm23 {%k2}
+
+// CHECK: vcvttpd2udq -1024(%rdx){1to2}, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x1a,0x78,0x7a,0x80]
+          vcvttpd2udqx -1024(%rdx){1to2}, %xmm23 {%k2}
+
+// CHECK: vcvttpd2udq -1024(%rdx){1to2}, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x9a,0x78,0x7a,0x80]
+          vcvttpd2udq -1024(%rdx){1to2}, %xmm23 {%k2} {z}
+
+// CHECK: vcvttpd2udq -1024(%rdx){1to2}, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x9a,0x78,0x7a,0x80]
+          vcvttpd2udqx -1024(%rdx){1to2}, %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udq -1032(%rdx){1to2}, %xmm23
 // CHECK:  encoding: [0x62,0xe1,0xfc,0x18,0x78,0xba,0xf8,0xfb,0xff,0xff]
           vcvttpd2udq -1032(%rdx){1to2}, %xmm23
 
+// CHECK: vcvttpd2udq -1032(%rdx){1to2}, %xmm23
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x18,0x78,0xba,0xf8,0xfb,0xff,0xff]
+          vcvttpd2udqx -1032(%rdx){1to2}, %xmm23
+
+// CHECK: vcvttpd2udq -1032(%rdx){1to2}, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x1a,0x78,0xba,0xf8,0xfb,0xff,0xff]
+          vcvttpd2udq -1032(%rdx){1to2}, %xmm23 {%k2}
+
+// CHECK: vcvttpd2udq -1032(%rdx){1to2}, %xmm23 {%k2}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x1a,0x78,0xba,0xf8,0xfb,0xff,0xff]
+          vcvttpd2udqx -1032(%rdx){1to2}, %xmm23 {%k2}
+
+// CHECK: vcvttpd2udq -1032(%rdx){1to2}, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x9a,0x78,0xba,0xf8,0xfb,0xff,0xff]
+          vcvttpd2udq -1032(%rdx){1to2}, %xmm23 {%k2} {z}
+
+// CHECK: vcvttpd2udq -1032(%rdx){1to2}, %xmm23 {%k2} {z}
+// CHECK:  encoding: [0x62,0xe1,0xfc,0x9a,0x78,0xba,0xf8,0xfb,0xff,0xff]
+          vcvttpd2udqx -1032(%rdx){1to2}, %xmm23 {%k2} {z}
+
 // CHECK: vcvttpd2udq %ymm23, %xmm28
 // CHECK:  encoding: [0x62,0x21,0xfc,0x28,0x78,0xe7]
           vcvttpd2udq %ymm23, %xmm28
 
+// CHECK: vcvttpd2udq %ymm23, %xmm28
+// CHECK:  encoding: [0x62,0x21,0xfc,0x28,0x78,0xe7]
+          vcvttpd2udqy %ymm23, %xmm28
+
 // CHECK: vcvttpd2udq %ymm23, %xmm28 {%k6}
 // CHECK:  encoding: [0x62,0x21,0xfc,0x2e,0x78,0xe7]
           vcvttpd2udq %ymm23, %xmm28 {%k6}
 
+// CHECK: vcvttpd2udq %ymm23, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x21,0xfc,0x2e,0x78,0xe7]
+          vcvttpd2udqy %ymm23, %xmm28 {%k6}
+
 // CHECK: vcvttpd2udq %ymm23, %xmm28 {%k6} {z}
 // CHECK:  encoding: [0x62,0x21,0xfc,0xae,0x78,0xe7]
           vcvttpd2udq %ymm23, %xmm28 {%k6} {z}
 
+// CHECK: vcvttpd2udq %ymm23, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x21,0xfc,0xae,0x78,0xe7]
+          vcvttpd2udqy %ymm23, %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udqy (%rcx), %xmm28
 // CHECK:  encoding: [0x62,0x61,0xfc,0x28,0x78,0x21]
           vcvttpd2udqy (%rcx), %xmm28
 
+// CHECK: vcvttpd2udqy (%rcx), %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x2e,0x78,0x21]
+          vcvttpd2udqy (%rcx), %xmm28 {%k6}
+
+// CHECK: vcvttpd2udqy (%rcx), %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xae,0x78,0x21]
+          vcvttpd2udqy (%rcx), %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udqy 291(%rax,%r14,8), %xmm28
 // CHECK:  encoding: [0x62,0x21,0xfc,0x28,0x78,0xa4,0xf0,0x23,0x01,0x00,0x00]
           vcvttpd2udqy 291(%rax,%r14,8), %xmm28
 
+// CHECK: vcvttpd2udqy 291(%rax,%r14,8), %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x21,0xfc,0x2e,0x78,0xa4,0xf0,0x23,0x01,0x00,0x00]
+          vcvttpd2udqy 291(%rax,%r14,8), %xmm28 {%k6}
+
+// CHECK: vcvttpd2udqy 291(%rax,%r14,8), %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x21,0xfc,0xae,0x78,0xa4,0xf0,0x23,0x01,0x00,0x00]
+          vcvttpd2udqy 291(%rax,%r14,8), %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udq (%rcx){1to4}, %xmm28
 // CHECK:  encoding: [0x62,0x61,0xfc,0x38,0x78,0x21]
           vcvttpd2udq (%rcx){1to4}, %xmm28
 
+// CHECK: vcvttpd2udq (%rcx){1to4}, %xmm28
+// CHECK:  encoding: [0x62,0x61,0xfc,0x38,0x78,0x21]
+          vcvttpd2udqy (%rcx){1to4}, %xmm28
+
+// CHECK: vcvttpd2udq (%rcx){1to4}, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x3e,0x78,0x21]
+          vcvttpd2udq (%rcx){1to4}, %xmm28 {%k6}
+
+// CHECK: vcvttpd2udq (%rcx){1to4}, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x3e,0x78,0x21]
+          vcvttpd2udqy (%rcx){1to4}, %xmm28 {%k6}
+
+// CHECK: vcvttpd2udq (%rcx){1to4}, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xbe,0x78,0x21]
+          vcvttpd2udq (%rcx){1to4}, %xmm28 {%k6} {z}
+
+// CHECK: vcvttpd2udq (%rcx){1to4}, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xbe,0x78,0x21]
+          vcvttpd2udqy (%rcx){1to4}, %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udqy 4064(%rdx), %xmm28
 // CHECK:  encoding: [0x62,0x61,0xfc,0x28,0x78,0x62,0x7f]
           vcvttpd2udqy 4064(%rdx), %xmm28
 
+// CHECK: vcvttpd2udqy 4064(%rdx), %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x2e,0x78,0x62,0x7f]
+          vcvttpd2udqy 4064(%rdx), %xmm28 {%k6}
+
+// CHECK: vcvttpd2udqy 4064(%rdx), %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xae,0x78,0x62,0x7f]
+          vcvttpd2udqy 4064(%rdx), %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udqy 4096(%rdx), %xmm28
 // CHECK:  encoding: [0x62,0x61,0xfc,0x28,0x78,0xa2,0x00,0x10,0x00,0x00]
           vcvttpd2udqy 4096(%rdx), %xmm28
 
+// CHECK: vcvttpd2udqy 4096(%rdx), %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x2e,0x78,0xa2,0x00,0x10,0x00,0x00]
+          vcvttpd2udqy 4096(%rdx), %xmm28 {%k6}
+
+// CHECK: vcvttpd2udqy 4096(%rdx), %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xae,0x78,0xa2,0x00,0x10,0x00,0x00]
+          vcvttpd2udqy 4096(%rdx), %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udqy -4096(%rdx), %xmm28
 // CHECK:  encoding: [0x62,0x61,0xfc,0x28,0x78,0x62,0x80]
           vcvttpd2udqy -4096(%rdx), %xmm28
 
+// CHECK: vcvttpd2udqy -4096(%rdx), %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x2e,0x78,0x62,0x80]
+          vcvttpd2udqy -4096(%rdx), %xmm28 {%k6}
+
+// CHECK: vcvttpd2udqy -4096(%rdx), %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xae,0x78,0x62,0x80]
+          vcvttpd2udqy -4096(%rdx), %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udqy -4128(%rdx), %xmm28
 // CHECK:  encoding: [0x62,0x61,0xfc,0x28,0x78,0xa2,0xe0,0xef,0xff,0xff]
           vcvttpd2udqy -4128(%rdx), %xmm28
 
+// CHECK: vcvttpd2udqy -4128(%rdx), %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x2e,0x78,0xa2,0xe0,0xef,0xff,0xff]
+          vcvttpd2udqy -4128(%rdx), %xmm28 {%k6}
+
+// CHECK: vcvttpd2udqy -4128(%rdx), %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xae,0x78,0xa2,0xe0,0xef,0xff,0xff]
+          vcvttpd2udqy -4128(%rdx), %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udq 1016(%rdx){1to4}, %xmm28
 // CHECK:  encoding: [0x62,0x61,0xfc,0x38,0x78,0x62,0x7f]
           vcvttpd2udq 1016(%rdx){1to4}, %xmm28
 
+// CHECK: vcvttpd2udq 1016(%rdx){1to4}, %xmm28
+// CHECK:  encoding: [0x62,0x61,0xfc,0x38,0x78,0x62,0x7f]
+          vcvttpd2udqy 1016(%rdx){1to4}, %xmm28
+
+// CHECK: vcvttpd2udq 1016(%rdx){1to4}, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x3e,0x78,0x62,0x7f]
+          vcvttpd2udq 1016(%rdx){1to4}, %xmm28 {%k6}
+
+// CHECK: vcvttpd2udq 1016(%rdx){1to4}, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x3e,0x78,0x62,0x7f]
+          vcvttpd2udqy 1016(%rdx){1to4}, %xmm28 {%k6}
+
+// CHECK: vcvttpd2udq 1016(%rdx){1to4}, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xbe,0x78,0x62,0x7f]
+          vcvttpd2udq 1016(%rdx){1to4}, %xmm28 {%k6} {z}
+
+// CHECK: vcvttpd2udq 1016(%rdx){1to4}, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xbe,0x78,0x62,0x7f]
+          vcvttpd2udqy 1016(%rdx){1to4}, %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udq 1024(%rdx){1to4}, %xmm28
 // CHECK:  encoding: [0x62,0x61,0xfc,0x38,0x78,0xa2,0x00,0x04,0x00,0x00]
           vcvttpd2udq 1024(%rdx){1to4}, %xmm28
 
+// CHECK: vcvttpd2udq 1024(%rdx){1to4}, %xmm28
+// CHECK:  encoding: [0x62,0x61,0xfc,0x38,0x78,0xa2,0x00,0x04,0x00,0x00]
+          vcvttpd2udqy 1024(%rdx){1to4}, %xmm28
+
+// CHECK: vcvttpd2udq 1024(%rdx){1to4}, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x3e,0x78,0xa2,0x00,0x04,0x00,0x00]
+          vcvttpd2udq 1024(%rdx){1to4}, %xmm28 {%k6}
+
+// CHECK: vcvttpd2udq 1024(%rdx){1to4}, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x3e,0x78,0xa2,0x00,0x04,0x00,0x00]
+          vcvttpd2udqy 1024(%rdx){1to4}, %xmm28 {%k6}
+
+// CHECK: vcvttpd2udq 1024(%rdx){1to4}, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xbe,0x78,0xa2,0x00,0x04,0x00,0x00]
+          vcvttpd2udq 1024(%rdx){1to4}, %xmm28 {%k6} {z}
+
+// CHECK: vcvttpd2udq 1024(%rdx){1to4}, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xbe,0x78,0xa2,0x00,0x04,0x00,0x00]
+          vcvttpd2udqy 1024(%rdx){1to4}, %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udq -1024(%rdx){1to4}, %xmm28
 // CHECK:  encoding: [0x62,0x61,0xfc,0x38,0x78,0x62,0x80]
           vcvttpd2udq -1024(%rdx){1to4}, %xmm28
 
+// CHECK: vcvttpd2udq -1024(%rdx){1to4}, %xmm28
+// CHECK:  encoding: [0x62,0x61,0xfc,0x38,0x78,0x62,0x80]
+          vcvttpd2udqy -1024(%rdx){1to4}, %xmm28
+
+// CHECK: vcvttpd2udq -1024(%rdx){1to4}, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x3e,0x78,0x62,0x80]
+          vcvttpd2udq -1024(%rdx){1to4}, %xmm28 {%k6}
+
+// CHECK: vcvttpd2udq -1024(%rdx){1to4}, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x3e,0x78,0x62,0x80]
+          vcvttpd2udqy -1024(%rdx){1to4}, %xmm28 {%k6}
+
+// CHECK: vcvttpd2udq -1024(%rdx){1to4}, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xbe,0x78,0x62,0x80]
+          vcvttpd2udq -1024(%rdx){1to4}, %xmm28 {%k6} {z}
+
+// CHECK: vcvttpd2udq -1024(%rdx){1to4}, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xbe,0x78,0x62,0x80]
+          vcvttpd2udqy -1024(%rdx){1to4}, %xmm28 {%k6} {z}
+
 // CHECK: vcvttpd2udq -1032(%rdx){1to4}, %xmm28
 // CHECK:  encoding: [0x62,0x61,0xfc,0x38,0x78,0xa2,0xf8,0xfb,0xff,0xff]
           vcvttpd2udq -1032(%rdx){1to4}, %xmm28
 
+// CHECK: vcvttpd2udq -1032(%rdx){1to4}, %xmm28
+// CHECK:  encoding: [0x62,0x61,0xfc,0x38,0x78,0xa2,0xf8,0xfb,0xff,0xff]
+          vcvttpd2udqy -1032(%rdx){1to4}, %xmm28
+
+// CHECK: vcvttpd2udq -1032(%rdx){1to4}, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x3e,0x78,0xa2,0xf8,0xfb,0xff,0xff]
+          vcvttpd2udq -1032(%rdx){1to4}, %xmm28 {%k6}
+
+// CHECK: vcvttpd2udq -1032(%rdx){1to4}, %xmm28 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfc,0x3e,0x78,0xa2,0xf8,0xfb,0xff,0xff]
+          vcvttpd2udqy -1032(%rdx){1to4}, %xmm28 {%k6}
+
+// CHECK: vcvttpd2udq -1032(%rdx){1to4}, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xbe,0x78,0xa2,0xf8,0xfb,0xff,0xff]
+          vcvttpd2udq -1032(%rdx){1to4}, %xmm28 {%k6} {z}
+
+// CHECK: vcvttpd2udq -1032(%rdx){1to4}, %xmm28 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfc,0xbe,0x78,0xa2,0xf8,0xfb,0xff,0xff]
+          vcvttpd2udqy -1032(%rdx){1to4}, %xmm28 {%k6} {z}
+
 // CHECK: vpternlogd $171, %xmm25, %xmm19, %xmm27
 // CHECK:  encoding: [0x62,0x03,0x65,0x00,0x25,0xd9,0xab]
           vpternlogd $0xab, %xmm25, %xmm19, %xmm27
